#################################################
#################################################
#########    COPYRIGHT - DATA SOCIETY   #########
#################################################
#################################################

###################################
## BASIC OPERATIONS IN R ANSWERS ##
###################################

## NOTE: To run individual pieces of code, 
## select the line of code and press ctrl + enter for Windows
## and command + enter for Macs

# Your code does not need to match up exactly - these answers
# are examples of how to execute the exercises below, but you may
# have found other ways to get the same output. 

#==================================================================================


#### Adding numbers: use the + sign ####

4 + 5

# 1. Add 5 and 20.

5 + 20

# 2. Add 4,354 and 10,405.

4354 + 10405

#### Subtracting numbers: use the - sign ####

5 - 4

# 3. Subtract 9 from 11.

11 - 9

# 4. Subtract 4,304 from 10,493.

10493 - 4304

#### Multiplying numbers: use the * sign ####

5 * 4

# 5. Multiply 30 by 6.

30 * 6

# 6. Multiply 100 by 438.

100 * 438

#### Dividing numbers: use the / sign ####

5 / 4


# 7. Divide 25 by 7.

25 / 7

# 8. Divide 125 by 25.

125/25

#### Exponents: use the ^ sign ####

2^5             # "2 to the power of 5"


# 9. Write code for 5 to the power of 10.

5^10

# 10. Write code for 3 to the power of 4.

3^4

#### Square roots: use sqrt() ####

sqrt(100)


# 11. Write code for the square root of 81.

sqrt(81)

# 12. Write code for the square root of 150.

sqrt(150)

#### Combining operations in one line ####

3 + (5-3) * 10

# 13. Write out code to multiply 15 by 20, then take 
#     the square root of that answer and add 14 to it.

sqrt(15*20) + 14

# 14. Write out code that multiplies 5 to the power
#     of 3 by 2 and then subtract 25.

(5^3) * 2 - 25

# Continue to practice operations until you feel
# comfortable in R. The only way to become truly
# proficient is to spend time coding.


